﻿using System.Xml.Serialization;
using SubmissionModel.Shared;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class DisclosureFilingScheduleType
	{
		[XmlAttribute]
		public ScheduleTypes ScheduleBasisForFiling { get; set; }

		[XmlAttribute]
		public MonthType CalendarYearAnnualFilingMonth { get; set; }

		[XmlAttribute(DataType = "integer")]
		public string CalendarYearAnnualFilingDay { get; set; }

		[XmlAttribute]
		public MonthType FiscalYearEndMonth { get; set; }

		[XmlAttribute(DataType = "integer")]
		public string FiscalYearEndDay { get; set; }

		[XmlAttribute(DataType = "integer")]
		public string MonthOrDayCountAfterFiscalYearEndWhenFilingExpected { get; set; }

		[XmlAttribute]
		public MonthDayType MonthOrDayAfterFiscalYearEndWhenFilingExpected { get; set; }
	}
}
