﻿using System;
using System.Xml.Serialization;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class PSSecurityDetailsType
	{
		[XmlAttribute]
		public string CUSIP9 { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime MaturityDate { get; set; }

		[XmlAttribute]
		public decimal InterestRate { get; set; }

		[XmlAttribute]
		public decimal MaturityPrincipalAmount { get; set; }
	}
}
