﻿using System.Xml.Serialization;
using SubmissionModel.Shared;

namespace SubmissionModel.ShortDocs
{
	[XmlType]
	public class ShortDocumentDetailsType
	{
		[XmlArrayItem("File", IsNullable = false)]
		public FileDetailsType[] UnderlyingFiles { get; set; }

		[XmlAttribute]
		public ShortDocumentType DocumentType { get; set; }

		[XmlAttribute]
		public TransitionPeriodFlagType TransitionPeriodFlag { get; set; }

		[XmlAttribute]
		public DocumentRequiredToBeSubmittedIsNotAvailableFlagType DocumentRequiredToBeSubmittedIsNotAvailableFlag { get; set; }
	}
}