﻿using System;
using System.Xml.Serialization;
using SubmissionModel.Shared;

namespace SubmissionModel.ShortDocs
{
	[XmlRoot(ElementName = "Submission")]
	public class ShortSubmissionDetailsType
	{
		[XmlAttribute]
		public SubmissionStatusType SubmissionStatus { get; set; }

		[XmlAttribute]
		public DateTime SubmissionTransactionDateTime { get; set; }

		[XmlAttribute]
		public string SubmissionIdentifier { get; set; }

		public ShortSecuritiesDetailsType Securities { get; set; }

		public ShortDocumentDetailsType Document { get; set; }

		public DealerDetailsType Dealer { get; set; }
	}
}
