using System.Xml.Serialization;

namespace SubmissionModel.Shared
{
	[XmlType]
	public class DisclosureDetailsType
	{
		[XmlElement]
		public DisclosurePeriodType DisclosurePeriod { get; set; }

        [XmlElement]
        public DisclosureSubCategoryType[] DisclosureSubCategory { get; set; }

        [XmlAttribute]
		public DisclosureTypes DisclosureType { get; set; }

		[XmlAttribute]
		public FinancialOperatingDisclosureCategoryType FinancialOperatingDisclosureCategory { get; set; }

		[XmlAttribute]
		public EventDisclosureCategoryType EventDisclosureCategory { get; set; }

		[XmlAttribute]
		public string OtherVoluntaryDisclosureDescription { get; set; }

        [XmlAttribute]
        public AssetBackedSecuritiesDisclosureCategoryType AssetBackedSecuritiesDisclosureCategory { get; set; }
	}
}