using System.Xml.Serialization;

namespace SubmissionModel.Shared
{
	[XmlType]
	public enum EventDisclosureCategoryType
	{
		Invalid,
		PrincipalInterestPaymentDelinquency,
		NonPaymentRelatedDefault,
		UnscheduledDrawOnDebtServiceReserveReflectingFinancialDifficulties,
		UnscheduledDrawOnCreditEnhancementReflectingFinancialDifficulties,
		SubstitutionOfCreditOrLiquidityProviderOrItsFailureToPerform,
		AdverseTaxOpinionOrEventAffectingTheTaxExemptStatusOfTheSecurity,
		ModificationToTheRightsOfSecurityHolders,
		BondCall,
		Defeasance,
		ReleaseOrSubstitutionOrSaleOfPropertySecuringRepaymentOfTheSecurity,
		RatingChange,
		TenderOfferSecondaryMarketPurchases,
		MergerConsolidationAcquisitionAndSaleOfAllOrSubstantiallyAllAssets,
		BankruptcyInsolvencyReceivershipOrSimilarEvent,
		SuccessorAdditionalOrChangeInTrustee,
		FailureToProvideEventFilingInformation,
		AmendmentToContinuingDisclosureUndertaking,
		ChangeInObligatedPerson,
		NoticeToInvestorsPursuantToBondDocuments,
		CommunicationFromTheInternalRevenueService,
		BidForAuctionRateOrOtherSecurities,
		CapitalOrOtherFinancingPlan,
		LitigationEnforcementAction,
		ChangeOfTenderAgentRemarketingAgentOrOtherOnGoingParty,
		ChangeOfTrusteeTenderAgentRemarketingAgentOrOtherOnGoingParty,
		MergerConsolidationReorganizationInsolvencyBankruptcy,
		DerivativeOrOtherSimilarTransaction,
		OtherEventVoluntaryInformation,
        BankLoanAlternativeFinancingFormerlyVoluntary,
        FinancialObligationIncurrence,
        FinancialObligationEventReflectingFinancialDifficulties
    }
}