using System;
using System.Xml.Serialization;

namespace SubmissionModel.Shared
{
	[XmlType]
	public class FileDetailsType
	{
		[XmlAttribute]
		public string FileIdentifier { get; set; }

		[XmlAttribute(DataType = "integer")]
		public string FileOrder { get; set; }

		[XmlAttribute]
		public DocumentStatusType FileStatus { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime FilePostingDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime FileArchiveDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime FileRemoveDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime EffectiveDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DateReceivedFromIssuer { get; set; }

		[XmlAttribute]
		public FileType FileType { get; set; }

		[XmlAttribute]
		public string FileDescription { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime FileStatusDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentReceivedDate { get; set; }
	}
}
